KConfigSkeleton::ItemIntList Class Reference

`#include <kconfigskeleton.h>`

Inherits KConfigSkeletonGenericItem< T >.

## Public Member Functions

| ItemIntList (const QString &group, const QString &key, QValueList< int > &reference, const QValueList< int > &defaultValue=QValueList< int >())
void | readConfig (KConfig *config)
void | setProperty (const QVariant &p)
QVariant | property () const

## Detailed Description

Class for handling an integer list preferences item.

Definition at line 776 of file kconfigskeleton.h.

## Member Function Documentation

QVariant KConfigSkeleton::ItemIntList::property | ( |  | ) | const

virtual

Return item as property.

Implements KConfigSkeletonItem.

Definition at line 874 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemIntList::readConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to read the value for this setting from a config file.

value.

Implements KConfigSkeletonItem.

Definition at line 857 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemIntList::setProperty | ( | const QVariant & | p | ) |

virtual

Set item to `p`.

Implements KConfigSkeletonItem.

Definition at line 869 of file kconfigskeleton.cpp.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys